Hi,

At Wed, 27 Feb 2008 04:54:21 +0900,
Ryan Davis wrote in [ruby-core:15670]:
> % ~/Work/svn/ruby/ruby/ruby19 -v -I ~/Work/svn/ruby/ruby/lib -w - 
> rubygems archive-tar-minitar-0.5.1.gemspec
> ruby 1.9.0 (2008-02-19 revision 15546) [i686-darwin9.2.0]
> archive-tar-minitar-0.5.1.gemspec:12: invalid multibyte char
> archive-tar-minitar-0.5.1.gemspec:12: syntax error, unexpected  
> tIDENTIFIER, expecting keyword_end
> ...d heavily on Mauricio Fern?ndez's implementation in rpa-base...
> ...                               ^
> archive-tar-minitar-0.5.1.gemspec:12: unterminated string meets end of  
> file
> archive-tar-minitar-0.5.1.gemspec:12: syntax error, unexpected $end,  
> expecting keyword_end

In 1.9, input encoding is defaulted to US-ASCII, therefore
non-7bit char is invalid.

ruby19 -Kn will work.

-- 
Nobu Nakada